Subject: bug#20781: Xemacs 21.4.22 MaC OS Yosmite: (customize-option 'TeX-view-program-list) fails with error

From: Mosè Giordano <[email-masked]>
Date: Wed, 10 Jun 2015 10:54:14 +0200

Hi Tassilo,

2015-06-10 10:47 GMT+02:00 Tassilo Horn <[email-masked]>:
> Mosè Giordano <[email-masked]> writes:
>
>>> Using Xemacs 21.4.22 mule on Mac OS Yosmite, I obtain the following
>>> error when trying to run
>>> (customize-option 'TeX-view-program-list) fails with error
>>> However
>>> (customize-option 'TeX-command-list)
>>>
>>> Works!!
>>
>> Why do you think this has something to do with AUCTeX?  I cannot see
>> what we can do to fix this bug, which I cannot reproduce with GNU
>> Emacs on GNU/Linux.  We have very few system dependent configurations,
>> I guess a system dependent bug comes from somewhere else.
>
> Uwe, you could try out the current Git version instead of 11.88.  In
> 11.88 the :type of `TeX-view-program-list' changed from (alist ...) to
> (repeat (list ...)).  Maybe Xemacs 21.4.22 has a problem with the alist
> type, who knows...

Uh, I forgot to mention I tried with XEmacs (21.4.22) on GNU/Linux
too: same result, no error here.

Bye,
Mosè